Bug 1309684 - Rebase rabbitmq-server to ver. 3.6.1
Summary: Rebase rabbitmq-server to ver. 3.6.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rabbitmq-server
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Peter Lemenkov
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On: 1309683 1343027 1351446
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-18 13:26 UTC by Peter Lemenkov
Modified: 2016-08-11 12:14 UTC (History)
16 users (show)

Fixed In Version: rabbitmq-server-3.6.1-2.el7ost
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of: 1309683
Environment:
Last Closed: 2016-08-11 12:14:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1597 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 Release Candidate Advisory 2016-08-11 16:06:52 UTC

Description Peter Lemenkov 2016-02-18 13:26:31 UTC
+++ This bug was initially created as a clone of Bug #1309683 +++

Latest upstream release: 3.6.0
Current version/release in rawhide: 3.5.7-4.fc24
URL: http://www.rabbitmq.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

--- Additional comment from Upstream Release Monitoring on 2016-02-18 08:23:10 EST ---

Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-C4bWoT/rabbitmq-server.spec
return code:  22
stdout:
Getting http://www.rabbitmq.com/releases/rabbitmq-server/v3.6.0/rabbitmq-server-3.6.0.tar.gz to ./rabbitmq-server-3.6.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 2 Marian Krcmarik 2016-04-05 15:26:07 UTC
I have one example of justification for rabbitmq rebase to version 3.6:
If several failovers take place in Openstack cluster with three controller nodes hosting rabbitmq-server, queue masters tend to be hosted on a single controller node and with failover of the node they just move to a different available node. Once a failover of such node happens recovery time of Openstack cluster is increased significantly. The problem nicely described here - https://www.erlang-solutions.com/blog/take-control-of-your-rabbitmq-queues.html

Several queue master distribution strategies were introduced in upstream version of 3.6.0 which could solve the problem - https://github.com/rabbitmq/rabbitmq-server/pull/217 for example by using min-masters strategy.

I would be happy to test a scratch build to see If it really helps.

Comment 4 Peter Lemenkov 2016-04-11 09:11:34 UTC
Heads up. I've just upgraded Erlang in RHOS9 to 18.3.1, and I'm going to upgrade RabbitMQ as soon as recent Erlang build hits build root.

Comment 9 errata-xmlrpc 2016-08-11 12:14:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1597.html


Note You need to log in before you can comment on or make changes to this bug.